Subject: Re: [RFC]: net-sched 00/05: dynamically sized class hashes

From: Martin Devera <[email-masked]>
Date: Wed, 02 Jul 2008 16:27:48 +0200

Patrick McHardy wrote:
> Patrick McHardy wrote:
>> Martin Devera wrote:
>>> Interestingly, once you do this patch then children/siblings list-heads
>>> are used only in htb_parent_last_child and to detect empty class.
>>> Thus we could remove children/siblings lists altogether ane keep only
>>> children counter.
>>> I can't believe it is so simple, what do you think, Patrick ?
>>
>> Yes, it looks like that would work. I'll give it a try :)
> 
> How about this, on top of my previous patches?

Yes, it is exactly what have been in my mind. It should work.
Only I'm wondering why I didn't do it this way in the first
version :-)